# TODO: tests (BR: ocaml-alcotest)
#
# Conditional build:
%bcond_without	ocaml_opt	# native optimized binaries (bytecode is always built)

%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	OCaml bindings for the libssl
Summary(pl.UTF-8):	Wiązania OpenSSL do OCamla
Name:		ocaml-ssl
Version:	0.5.13
Release:	1
License:	LGPL v2.1 + OCaml linking exception
Group:		Libraries
#Source0Download: https://github.com/savonet/ocaml-ssl/releases
Source0:	https://github.com/savonet/ocaml-ssl/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7a19910cc6cf9ed22f29210e52905041
URL:		https://github.com/savonet/ocaml-ssl
BuildRequires:	ocaml >= 1:4.02.0
BuildRequires:	ocaml-dune >= 2.0.0
BuildRequires:	openssl-devel
BuildRequires:	which
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OCaml bindings for the libssl.

%description -l pl.UTF-8
Wiązania OpenSSL do OCamla.

%package devel
Summary:	OCaml bindings for the libssl - development part
Summary(pl.UTF-8):	Wiązania OpenSSL do OCamla - część programistyczna
Group:		Development/Libraries
%requires_eq ocaml

%description devel
OCaml bindings for the libssl - development part.

%description devel -l pl.UTF-8
Wiązania OpenSSL do OCamla - część programistyczna.

%prep
%setup -q

%{__rm} -r tests

%build
dune build --verbose

%install
rm -rf $RPM_BUILD_ROOT

dune install --destdir $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# sources
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/ssl/*.ml
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/ssl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md COPYING README.md
%dir %{_libdir}/ocaml/ssl
%{_libdir}/ocaml/ssl/META
%{_libdir}/ocaml/ssl/dune-package
%{_libdir}/ocaml/ssl/opam
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllssl_stubs.so
%{_libdir}/ocaml/ssl/*.cma
%if %{with ocaml_opt}
%{_libdir}/ocaml/ssl/ssl.cmxs
%endif

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/ssl/*.cmi
%{_libdir}/ocaml/ssl/ssl.cmt
%{_libdir}/ocaml/ssl/ssl.cmti
%{_libdir}/ocaml/ssl/ssl.mli
%{_libdir}/ocaml/ssl/ssl_threads.cmt
%{_libdir}/ocaml/ssl/ssl_threads.cmti
%{_libdir}/ocaml/ssl/ssl_threads.mli
%if %{with ocaml_opt}
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/ssl/*.cmx
%{_libdir}/ocaml/ssl/*.cmxa
%endif
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Oct 26 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-ssl.git;a=log;h=master

* Sat Oct 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 0654e0e
- updated to 0.5.13

* Fri Nov 19 2021 Jakub Bogusz <qboosh@pld-linux.org> f268ee2
- unified, updated dependencies, release 3

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> c473332
- rebuild with openssl 3.0.0

* Wed Mar 24 2021 Jan Rękorajski <baggins@pld-linux.org> a4e701d
- up to 0.5.10

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 156ca7e
- release 2 (by relup.sh)

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> af93ca5
- added upstream patches, fixes compatibility with ocaml 4.04

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 70cb301
- up to 0.5.2

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> e884173
- rebuild with ocaml 4.04.1
- release 6 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 3bd1046
- release 5 (by relup.sh)

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 9686cf7
- openssl 1.0.2g rebuild
- release 4 (by relup.sh)

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 8f08cba
- release 3 (by relup.sh)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> ef1a1fe
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 7be7683
- 0.4.5

* Fri May 14 2010 sparky <sparky@pld-linux.org> d386e6c
- BR: which

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a048005
- release 3

* Sat Apr 18 2009 areq <areq@pld-linux.org> aa4d978
- make -j1

* Sat Apr 18 2009 areq <areq@pld-linux.org> 64ba5ad
- 0.4.3

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 4a8e964
- release 3

* Sun Mar 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 7842d33
- pl descs

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 40314a5
- rel 2

